from setuptools import setup, find_packages
import os

version = '1.0'

setup(name='silva.mobi',
      version=version,
      description="Mobile layout support for Silva",
      long_description=open("README.txt").read() + "\n" +
                       open(os.path.join("docs", "HISTORY.txt")).read(),
      classifiers=[
        "Framework :: Zope2",
        "License :: OSI Approved :: BSD License",
        "Programming Language :: Python",
        "Topic :: Software Development :: Libraries :: Python Modules",
        ],
      keywords='silva mobile',
      author='Infrae',
      author_email='info@infrae.com',
      url='http://infrae.com/products/silva',
      license='BSD',
      package_dir={'': 'src'},
      packages=find_packages('src'),
      namespace_packages=['silva'],
      include_package_data=True,
      zip_safe=False,
      install_requires=[
          'Products.Silva',
          'five.grok',
          'grokcore.view',
          'infrae.layout',
          'martian',
          'mobi.interfaces',
          'setuptools',
          'silva.core.conf',
          'silva.core.interfaces',
          'silva.core.layout',
          'zope.component',
          'zope.interface',
          ],
      )

